%set_automake_version 1.4
%set_autoconf_version 2.5

Name: 		radiusclient
Version:	0.3.2
Release:	alt1.3

%define libname	lib%name

Summary:	Radiusclient - library for RADIUS protocol


License:	BSD
Group:		System/Libraries
URL:		http://www.mcs-cityline.net/~lf/radius/

Source:		%name-%version.tar.gz
Patch0:		radiusclient-am_ac.patch

# Automatically added by buildreq on Tue Jan 28 2003
BuildRequires: glibc-devel-static
BuildRequires: automake_1.4 autoconf_2.5

%description
Radiusclient is a /bin/login replacement which gets called by a getty
to log in a user and to setup the user's login environment. Normal
login programs just check the login name and password which the user
entered against the local password file (/etc/passwd, /etc/shadow). In
contrast to that Radiusclient also uses the RADIUS protocol to
authenticate the user.

%package -n		%name-utils
Summary:		Radiusclient utilites
Group:          	System/Servers
Obsoletes:		%name-utils  = %version
Provides:		%name-utils = %version
Provides:		%name-utils
Requires:		%libname = %version-%release

%description -n		%name-utils
Radiusclient is a /bin/login replacement which gets called by a getty
to log in a user and to setup the user's login environment. Normal
login programs just check the login name and password which the user
entered against the local password file (/etc/passwd, /etc/shadow). In
contrast to that Radiusclient also uses the RADIUS protocol to
authenticate the user.

%package -n		%libname
Summary:		Radiusclient library
Group:          	System/Libraries
Obsoletes:		%libname  = %version-%release
Obsoletes:		%libname
Provides:		%libname = %version
Provides:		%libname

%description -n		%libname
Libraries required for Radiusclient

%package -n		%libname-devel
Summary:		Header files and development documentation for radiusclient
Group:			Development/C
Obsoletes:		%libname-devel = %version-%release
Obsoletes:		%libname-devel
Provides:		%libname-devel = %version-%release
Provides:		%libname-devel
Requires:		%libname = %version-%release

%description -n		%libname-devel
Header files and development documentation for radiusclient.

%package -n		%libname-devel-static
Summary:		Radiusclient static library
Group:			Development/C
Requires:		%libname-devel = %version-%release
Obsoletes:		%libname-devel-static = %version-%release
Obsoletes:		%libname-devel-static
Provides:		%libname-devel-static = %version-%release
Provides:		%libname-devel-static
Requires:		%libname-devel = %version-%release

%description -n		%libname-devel-static
Radiusclient static library.



%prep
%setup -q
%patch0 -p1


%build
libtoolize --copy --force
aclocal
autoconf
automake

./configure --prefix=/usr --sysconfdir=/etc --enable-scp --enable-radius-116

make

%install

make install DESTDIR=%buildroot





%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%post -n %libname-devel -p /sbin/ldconfig
%postun -n %libname-devel -p /sbin/ldconfig

%post -n %libname-devel-static -p /sbin/ldconfig
%postun -n %libname-devel-static -p /sbin/ldconfig




%files -n %name-utils
%doc BUGS CHANGES README* doc/*.html
%dir %{_sysconfdir}/radiusclient
%attr(644,root,root) %config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/radiusclient/*
%attr(755,root,root) %{_sbindir}/*

%files -n %libname
%attr(755,root,root) %{_libdir}/lib*.so.*
%attr(755,root,root) %{_libdir}/lib*.so

%files -n %libname-devel
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/radiusclient.h

%files -n %libname-devel-static
%{_libdir}/lib*.a




%changelog
* Tue Jan 28 2003 Victor V Ismakaev <ivv@altlinux.ru> 0.3.2-alt1.3
- rebuild for Master 2.2

* Mon Dec 23 2002 Victor V Ismakaev <ivv@altlinux.ru> 0.3.2-alt1.2
- Added set_automake_version and set_autoconf_version 

* Mon Dec 16 2002 Victor V Ismakaev <ivv@altlinux.ru> 0.3.2-alt1.1
- fixed SPEC-file

* Tue Dec 10 2002 Victor V Ismakaev <ivv@altlinux.ru> 0.3.2-alt1
- First release for AltLinux
